/*
 * bitmap.h Ver.0.4 for kdvi.
 *
 * Bitmap drawing module of kdvi.
 *
 * Copyright 1994,1995 by Takuya Koumoto.
 *
 * Ver.0.0 to 0.1 : Modified 1994 by Takuya Koumoto.
 * Ver.0.1 to 0.2 : Modified 1994 by Takuya Koumoto.
 * Ver.0.2 to 0.3 : Modified 1995 by Takuya Koumoto.
 * Ver.0.3 to 0.4 : Modified 1995 by Takuya Koumoto.
 *
 * All rights reserved.
 */

/* Prototype of global functions */
extern void Draw_box_a_sp(long, long, long, long);
extern void Draw_fbox_a_sp(long, long, long, long);
extern void Draw_box_a_dot(long, long, long, long);
extern void Draw_fbox_a_dot(long, long, long, long);
extern void Draw_h_line_a_dot(long, long, long);
extern void Draw_v_line_a_dot(long, long, long);
extern void Draw_point_a_dot(long, long);
extern void Draw_white_point_a_dot(long, long);
extern void Draw_line_a_dot(long, long, long, long);
extern void Draw_pattern_a_dot(u_char*, long, long, long, long, long);
extern void Draw_rotate_pattern_a_dot(u_char*, long, long, long, long);

extern void Draw_box_r_sp(long, long, long, long);
extern void Draw_fbox_r_sp(long, long, long, long);
extern void Draw_box_r_dot(long, long, long, long);
extern void Draw_fbox_r_dot(long, long, long, long);
extern void Draw_h_line_r_dot(long, long, long);
extern void Draw_v_line_r_dot(long, long, long);
extern void Draw_point_r_dot(long, long);
extern void Draw_line_r_dot(long, long, long, long);

/* End of bitmap.h */
