/*
 * dvicode.h Ver.0.0 for kdvi.
 *
 * Dvi instruction code table for kdvi.
 *
 * Copyright 1986,1987 by Japan TeX Users Group.
 * 
 * Copyright 1994 by Takuya Koumoto.
 * All rights reserved.
 */

/* file index */
#define ID 2L
#define ID_PTEX 3L

/* DVI instructions */
#define SET_CHAR_0      0L
#define SET_CHAR_127    127L
#define SET1            128L
#define SET4            131L
#define SET_RULE        132L
#define PUT1            133L
#define PUT4            136L
#define PUT_RULE        137L
#define NOP             138L
#define BOP             139L
#define EOP             140L
#define PUSH            141L
#define POP             142L
#define RIGHT1          143L
#define RIGHT4          146L
#define W0              147L
#define W1              148L
#define W4              151L
#define X0              152L
#define X1              153L
#define X4              156L
#define DOWN1           157L
#define DOWN4           160L
#define Y0              161L
#define Y1              162L
#define Y4              165L
#define Z0              166L
#define Z1              167L
#define Z4              170L
#define FNT_NUM_0       171L
#define FNT_NUM_63      234L
#define FNT1            235L
#define FNT4            238L
#define XXX1            239L
#define XXX4            242L
#define FNT_DEF_1       243L
#define FNT_DEF_4       246L
#define PRE             247L
#define POST            248L
#define POST_POST       249L
#define UNDEF           250L
#define EOFNC           255L
#define END_DVI         223L

/* End of dvicode.h */
